### Method

# WebKit2WebExtension DOMDOMSelection get_selection_type

deprecated: 2.22 since: 2.16

#### Declaration [src]

    gchar*
    webkit_dom_dom_selection_get_selection_type (
      WebKitDOMDOMSelection* self
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Return value

Type: `gchar*`

A #gchar.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.